﻿using Infragistics.Win;
using Infragistics.Win.UltraWinMaskedEdit;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WindowsFormsApplication26
{
    public class MaskedEditCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            var displayCharUIElement = parent as DisplayCharUIElement;
            if (null != displayCharUIElement)
            {
                if (displayCharUIElement.DisplayChar.Char == '~')
                {
                    displayCharUIElement.DisplayChar.Char = '0';
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
